#
# Parameters for all makefiles of the FELLA program suite
# Christian Buth
# 04 May 2006
#


#
# Directories and programs
#

BASEDIR=$(HOME)/Rechner/devel/fella/trunk
BINDIR=$(HOME)/Rechner/bin
LIBDIR=$(HOME)/Rechner/lib
MODULE=$(BASEDIR)/modules
VERSION=_1.4.0

hermsk=$(BASEDIR)/hermsk
oneel=$(BASEDIR)/oneel
mulph=$(BASEDIR)/mulph
misc=$(BASEDIR)/misc
dreyd=$(BASEDIR)/dreyd
giant=$(BASEDIR)/giant
alignmol=$(BASEDIR)/alignmol
lanczos=$(BASEDIR)/lanczos
twoph=$(BASEDIR)/twoph
pulseprop=$(BASEDIR)/pulseprop
mcwp=$(BASEDIR)/mcwp
caesr=$(BASEDIR)/caesr


#
# Variables
#

# General variables
make=gnumake


# gfortran Optionen
lext=
FC95=gfortran-mp-5
F95OPT=-O3 -std=f2008 -ffree-form -ffree-line-length-132 -pedantic -J$(MODULE) -I$(MODULE) -fcheck=all -Wall -Wextra -Wunderflow -Warray-temporaries -Wcharacter-truncation -Wconversion-extra -Wimplicit-interface -Wimplicit-procedure -Walign-commons -fstack-arrays -Wreal-q-constant -Wfunction-elimination
F77OPT=-O3 -std=f2008 -ffixed-form -pedantic -J$(MODULE) -I$(MODULE) -fcheck=all -Wall -Wextra -Wunderflow -Warray-temporaries -Wcharacter-truncation -Wconversion-extra -Wimplicit-interface -Wimplicit-procedure -Walign-commons -fstack-arrays -Wreal-q-constant -Wfunction-elimination
FC77=gfortran-mp-5
LK=gfortran-mp-5
LKOPT=


#
# Rules
#

%.o : %.F
	$(FC77) $(F77OPT) -c -o $@ $<


%.o : %.f90
	$(FC95) $(F95OPT) -c -o $@ $<


%.o : %.F90
	$(FC95) $(F95OPT) -c -o $@ $<
