!
! refindex --- calculation of the refractive index from dreyd's polarizabilities
! Christian Buth
! 18 Feb 2008
!


      program refindex
      use mathtl
      use physconst
      implicit none

      real(dblprec) nAT, pgas, TRoom, refidx, energy, cross, pol

      ! Normal pressure in atmospheres
      Pgas = 1.0D0
      Pgas = Pgas * StdAtmosphere
      ! Normal temperature in Kelvin
      TRoom = 293.15D0
      ! nAT: density of neutral atoms in gas cell, in 1/cm^3. This is
      ! the density before ionization by the x-ray pulse
      nAT = Pgas / Troom / Boltzmann     ! Argon
      nAT = nAT / (1.0D2)**3
      write (*,*) '# Number density ', nAT, 'cm^-3'
      nAT = nAT / CentimeterToBohr**3
      write (*,*) '# Refractive index minus one x10^4'
      write (*,*)

      do
        read (unit=*,fmt=*,end=101) energy, cross, pol
        pol = pol * AngstroemToBohr**3
        refidx = 2.0D0 * M_PI * nAT * pol
        refidx = refidx * 1.0D4
        write (*,*) energy, refidx
      end do

 101  continue
      end program refindex
