!
! numpath --- numerical accuracy of the evaluation of
!       Nimrods Woods-Saxonish path and its derivatives
! Christian Buth
! 24 May 2006
!


      program numpath
      use fortrantl
      use SESpath
      implicit none

      integer i
      real(dblprec) r, rh
      complex(dblprec) z1, z2, z3, z4, z5, z6, z7

      call initSESpath(0.13D0, 5.0D0, 7.0D0)
      rh = 0.025

      r = rh
      do i=1, 4000
!         write (*,*) r, pathFc(r), pathf(r), pathfp(r), pathfpp(r)
!         write (*,*) r, pathf(r)
        z1 = pathFc(r)
        z2 = pathf(r)
        z3 = pathfp(r)
        z4 = pathfpp(r)
!         write (*,*) r, z1, abs(2.0D0*lambda * (r+r0)), abs(2.0D0*lambda * (r-r0))

!         write (*,*) r, aimag(z1), aimag(z2), aimag(z3), aimag(z4)
!         write (*,*) real(z1), aimag(z1)

        ! For the comparison of analytical derivatives with numerical
        ! derivatives (perfect match found)
        z5 = ( pathFc(r+rh) - pathFc(r-rh) ) / (2.0D0 * rh)
        z6 = ( pathf (r+rh) - pathf (r-rh) ) / (2.0D0 * rh)
        z7 = ( pathfp(r+rh) - pathfp(r-rh) ) / (2.0D0 * rh)

        ! xmgrace columns
        !        1     2      3       4       5       6       7      8
        write (*,*) r, real(z1), real(z2), real(z3), real(z4), real(z5), real(z6), real(z7)
        r = r + rh
      end do
      call exitSESpath
      end program numpath
