      SUBROUTINE gauleg(X1,X2,X,W,N)
      use fortrantl

!! This subroutine provides the Gaussian quadrature points and weights.
!! X1 and X2 are the limits of the Gaussian integration(should be -1 to 1).
!! X contains the quadrature points.
!! W contains the weight functions.
!! N is number of quadrature points.

!      IMPLICIT REAL(dblprec) (A-H,O-Z)
      integer n, i, m, j
      REAL(dblprec) X1, X2, X(N), W(N), eps, pi, xm, xl, z, p1, p2,  &
     &              p3, pp, z1
      PARAMETER (EPS=3.D-14)
      DATA PI/3.1415926535897932385D0/

      M= ( N+1 )/2
      XM= 0.5D0*( X2+X1 )
      XL= 0.5D0*( X2-X1 )

      DO 12 I=1,M
        Z=DCOS(PI*(I-.25D0)/(N+.5D0))
1       CONTINUE
          P1=1.D0
          P2=0.D0
          DO 11 J=1,N
            P3=P2
            P2=P1
            P1=((2.D0*J-1.D0)*Z*P2-(J-1.D0)*P3)/J
11        CONTINUE
          PP=N*(Z*P1-P2)/(Z*Z-1.D0)
          Z1=Z
          Z=Z1-P1/PP
        IF(DABS(Z-Z1).GT.EPS)GO TO 1
        X(I)=XM-XL*Z
        X(N+1-I)=XM+XL*Z
        W(I)=2.D0*XL/((1.D0-Z*Z)*PP*PP)
        W(N+1-I)=W(I)
12    CONTINUE
      RETURN
      END
