!
! -- function trap performs a numerical integration over the function f,
! -----  assuming an equally spaced x-axis grid with step size h and a
! -----  total of n mesh points. The routine uses the composite
! -----  trapezoid rule.
!


      function trap(f,n,h)
      use fortrantl
      implicit none

      real(dblprec) trap
      integer n
      real(dblprec) f(n)
      real(dblprec) h

      real(dblprec) sum
      integer j

      sum = 0.5D0*(f(1) + f(n))

      do j=2,n-1
         sum = sum + f(j)
      end do

      trap = sum*h
      end function trap
