function trap(f,n,h)
  !
  ! -- function trap performs a numerical integration over the function f,
  ! -----  assuming an equally spaced x-axis grid with step size h and a
  ! -----  total of n mesh points. The routine uses the composite
  ! -----  trapezoid rule. 
  !
  implicit none

  real*8 trap
  integer n
  real*8 f(n)
  real*8 h
  
  real*8 sum
  integer j
  
  sum = 0.5d0*(f(1) + f(n))
  
  do j=2,n-1
     sum = sum + f(j)
  end do
  
  trap = sum*h
  
  return
end function trap
